<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#e5e5e5"
    android:fitsSystemWindows="true"
    tools:context=".ui.activity.ProfileActivity">

    <androidx.constraintlayout.utils.widget.ImageFilterView
        android:id="@+id/ifv_avatar"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="35dp"
        android:src="@drawable/ic_avatar"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundPercent="0.3" />

    <TextView
        android:id="@+id/tv_nickname"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:text="糕菜菜"
        android:textColor="@color/black"
        android:textSize="15sp"
        app:layout_constraintStart_toEndOf="@id/ifv_avatar"
        app:layout_constraintTop_toTopOf="@id/ifv_avatar" />

    <TextView
        android:id="@+id/tv_id"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="kid: kaixed"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@id/ifv_avatar"
        app:layout_constraintStart_toStartOf="@id/tv_nickname"
        app:layout_constraintTop_toBottomOf="@id/tv_nickname" />

    <ImageView
        android:id="@+id/iv_service"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="15dp"
        android:layout_marginTop="15dp"
        android:src="@drawable/mine_icon_service"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ifv_avatar" />

    <TextView
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:text="我的服务"
        android:gravity="center_vertical"
        android:paddingStart="35dp"
        app:layout_constraintBottom_toBottomOf="@id/iv_service"
        app:layout_constraintTop_toTopOf="@id/iv_service" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="55dp"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/ifv_avatar">

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp">

            <!--            <ImageView-->
            <!--                android:id="@+id/iv_service"-->
            <!--                android:layout_width="24dp"-->
            <!--                android:layout_height="24dp"-->
            <!--                android:layout_centerVertical="true"-->
            <!--                android:src="@drawable/mine_icon_service" />-->

            <!--            <TextView-->
            <!--                android:id="@+id/tv_service"-->
            <!--                android:layout_width="wrap_content"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:layout_centerVertical="true"-->
            <!--                android:layout_marginStart="15dp"-->
            <!--                android:layout_toEndOf="@id/iv_service"-->
            <!--                android:text="服务"-->
            <!--                android:textColor="@color/black"-->
            <!--                android:textSize="16sp" />-->

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <ImageView
                android:id="@+id/iv_collection"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_centerVertical="true"
                android:src="@drawable/mine_icon_collection" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="15dp"
                android:layout_toEndOf="@id/iv_collection"
                android:text="收藏"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />


        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="55dp"
            android:background="#E5E5E5" />


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <ImageView
                android:id="@+id/iv_friend_circle"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_centerVertical="true"
                android:src="@drawable/mine_icon_friend_circle" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="15dp"
                android:layout_toEndOf="@id/iv_friend_circle"
                android:text="朋友圈"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />


        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="55dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <ImageView
                android:id="@+id/iv_wallet"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_centerVertical="true"
                android:src="@drawable/mine_icon_wallet" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="15dp"
                android:layout_toEndOf="@id/iv_wallet"
                android:text="卡包"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="55dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <ImageView
                android:id="@+id/iv_emoji"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_centerVertical="true"
                android:src="@drawable/mine_icon_emoji" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="15dp"
                android:layout_toEndOf="@id/iv_emoji"
                android:text="表情"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <ImageView
                android:id="@+id/iv_setting"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_centerVertical="true"
                android:src="@drawable/mine_icon_setting" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="15dp"
                android:layout_toEndOf="@id/iv_setting"
                android:text="设置"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#E5E5E5" />

    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>